devel/ruby-kgio - The NetBSD Packages Collection

Provides non-blocking I/O methods for Ruby

kgio provides non-blocking I/O methods for Ruby without raising exceptions on
EAGAIN and EINPROGRESS. It is intended for use with the Unicorn and Rainbows!
Rack servers, but may be used by other applications.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/ruby27-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby26-kgio-2.11.4.tgz
NetBSD 8.0earmv7hfruby27-kgio-2.11.4.tgz
NetBSD 8.0earmv7hfruby25-kgio-2.11.3.tgz
NetBSD 8.0earmv7hfruby26-kgio-2.11.3.tgz
NetBSD 8.0earmv7hfruby27-kgio-2.11.3.tgz
NetBSD 8.0earmv7hfruby26-kgio-2.11.4.tgz
NetBSD 8.0earmv7hfruby27-kgio-2.11.4.tgz
NetBSD 8.0i386ruby25-kgio-2.11.3.tgz
NetBSD 8.0i386ruby26-kgio-2.11.3.tgz
NetBSD 8.0i386ruby27-kgio-2.11.3.tgz
NetBSD 8.0i386ruby26-kgio-2.11.4.tgz
NetBSD 8.0i386ruby27-kgio-2.11.4.tgz
NetBSD 8.0powerpcruby24-kgio-2.11.3.tgz
NetBSD 8.0powerpcruby25-kgio-2.11.3.tgz
NetBSD 8.0powerpcruby26-kgio-2.11.3.tgz
NetBSD 8.0powerpcruby27-kgio-2.11.3.tgz
NetBSD 8.0powerpcruby26-kgio-2.11.4.tgz
NetBSD 8.0powerpcruby27-kgio-2.11.4.tgz
NetBSD 8.0powerpcruby26-kgio-2.11.4.tgz
NetBSD 8.0powerpcruby27-kgio-2.11.4.tgz
NetBSD 8.0powerpcruby26-kgio-2.11.4.tgz
NetBSD 8.0powerpcruby27-kgio-2.11.4.tgz
NetBSD 8.0x86_64ruby25-kgio-2.11.3.tgz
NetBSD 8.0x86_64ruby26-kgio-2.11.3.tgz
NetBSD 8.0x86_64ruby27-kgio-2.11.3.tgz
NetBSD 8.0x86_64ruby26-kgio-2.11.4.tgz
NetBSD 8.0x86_64ruby27-kgio-2.11.4.tgz
NetBSD 9.0aarch64ruby26-kgio-2.11.4.tgz
NetBSD 9.0aarch64ruby27-kgio-2.11.4.tgz
NetBSD 9.0aarch64ruby30-kgio-2.11.4.tgz
NetBSD 9.0aarch64ruby25-kgio-2.11.3.tgz
NetBSD 9.0aarch64ruby26-kgio-2.11.3.tgz
NetBSD 9.0aarch64ruby27-kgio-2.11.3.tgz
NetBSD 9.0aarch64ruby30-kgio-2.11.3.tgz
NetBSD 9.0aarch64ruby26-kgio-2.11.4.tgz
NetBSD 9.0aarch64ruby27-kgio-2.11.4.tgz
NetBSD 9.0aarch64ruby30-kgio-2.11.4.tgz
NetBSD 9.0alpharuby26-kgio-2.11.4.tgz
NetBSD 9.0alpharuby27-kgio-2.11.4.tgz
NetBSD 9.0alpharuby25-kgio-2.11.3.tgz
NetBSD 9.0alpharuby26-kgio-2.11.3.tgz
NetBSD 9.0alpharuby27-kgio-2.11.3.tgz
NetBSD 9.0alpharuby26-kgio-2.11.4.tgz
NetBSD 9.0alpharuby27-kgio-2.11.4.tgz
NetBSD 9.0earmruby26-kgio-2.11.4.tgz
NetBSD 9.0earmruby27-kgio-2.11.4.tgz
NetBSD 9.0earmv6hfruby26-kgio-2.11.4.tgz
NetBSD 9.0earmv6hfruby27-kgio-2.11.4.tgz
NetBSD 9.0earmv6hfruby30-kgio-2.11.4.tgz
NetBSD 9.0earmv6hfruby25-kgio-2.11.3.tgz
NetBSD 9.0earmv6hfruby26-kgio-2.11.3.tgz
NetBSD 9.0earmv6hfruby27-kgio-2.11.3.tgz
NetBSD 9.0earmv6hfruby30-kgio-2.11.3.tgz
NetBSD 9.0earmv6hfruby26-kgio-2.11.4.tgz
NetBSD 9.0earmv6hfruby27-kgio-2.11.4.tgz
NetBSD 9.0earmv6hfruby30-kgio-2.11.4.tgz
NetBSD 9.0earmv7hfruby26-kgio-2.11.4.tgz
NetBSD 9.0earmv7hfruby27-kgio-2.11.4.tgz
NetBSD 9.0earmv7hfruby30-kgio-2.11.4.tgz
NetBSD 9.0earmv7hfruby25-kgio-2.11.3.tgz
NetBSD 9.0earmv7hfruby26-kgio-2.11.3.tgz
NetBSD 9.0earmv7hfruby27-kgio-2.11.3.tgz
NetBSD 9.0earmv7hfruby30-kgio-2.11.3.tgz
NetBSD 9.0earmv7hfruby26-kgio-2.11.4.tgz
NetBSD 9.0earmv7hfruby27-kgio-2.11.4.tgz
NetBSD 9.0earmv7hfruby30-kgio-2.11.4.tgz
NetBSD 9.0earmv7hfruby26-kgio-2.11.4.tgz
NetBSD 9.0earmv7hfruby27-kgio-2.11.4.tgz
NetBSD 9.0earmv7hfruby30-kgio-2.11.4.tgz
NetBSD 9.0i386ruby25-kgio-2.11.3.tgz
NetBSD 9.0i386ruby26-kgio-2.11.3.tgz
NetBSD 9.0i386ruby27-kgio-2.11.3.tgz
NetBSD 9.0i386ruby30-kgio-2.11.3.tgz
NetBSD 9.0i386ruby26-kgio-2.11.4.tgz
NetBSD 9.0i386ruby27-kgio-2.11.4.tgz
NetBSD 9.0i386ruby30-kgio-2.11.4.tgz
NetBSD 9.0mips64ebruby26-kgio-2.11.4.tgz
NetBSD 9.0mips64ebruby27-kgio-2.11.4.tgz
NetBSD 9.0mips64ebruby30-kgio-2.11.4.tgz
NetBSD 9.0mips64ebruby25-kgio-2.11.3.tgz
NetBSD 9.0mips64ebruby26-kgio-2.11.3.tgz
NetBSD 9.0mips64ebruby27-kgio-2.11.3.tgz
NetBSD 9.0mips64ebruby25-kgio-2.11.3.tgz
NetBSD 9.0mips64ebruby26-kgio-2.11.3.tgz
NetBSD 9.0mips64ebruby27-kgio-2.11.3.tgz
NetBSD 9.0mips64ebruby25-kgio-2.11.3.tgz
NetBSD 9.0mips64ebruby26-kgio-2.11.3.tgz
NetBSD 9.0mips64ebruby27-kgio-2.11.3.tgz
NetBSD 9.0mips64ebruby30-kgio-2.11.3.tgz
NetBSD 9.0mips64ebruby26-kgio-2.11.4.tgz
NetBSD 9.0mips64ebruby27-kgio-2.11.4.tgz
NetBSD 9.0mips64ebruby30-kgio-2.11.4.tgz
NetBSD 9.0powerpcruby26-kgio-2.11.4.tgz
NetBSD 9.0powerpcruby27-kgio-2.11.4.tgz
NetBSD 9.0powerpcruby30-kgio-2.11.4.tgz
NetBSD 9.0powerpcruby24-kgio-2.11.3.tgz
NetBSD 9.0powerpcruby25-kgio-2.11.3.tgz
NetBSD 9.0powerpcruby26-kgio-2.11.3.tgz
NetBSD 9.0powerpcruby27-kgio-2.11.3.tgz
NetBSD 9.0powerpcruby30-kgio-2.11.3.tgz
NetBSD 9.0powerpcruby26-kgio-2.11.4.tgz
NetBSD 9.0powerpcruby27-kgio-2.11.4.tgz
NetBSD 9.0powerpcruby30-kgio-2.11.4.tgz
NetBSD 9.0powerpcruby26-kgio-2.11.4.tgz
NetBSD 9.0powerpcruby27-kgio-2.11.4.tgz
NetBSD 9.0powerpcruby30-kgio-2.11.4.tgz
NetBSD 9.0sparc64ruby26-kgio-2.11.4.tgz
NetBSD 9.0sparc64ruby27-kgio-2.11.4.tgz
NetBSD 9.0sparc64ruby30-kgio-2.11.4.tgz
NetBSD 9.0sparc64ruby25-kgio-2.11.3.tgz
NetBSD 9.0sparc64ruby26-kgio-2.11.3.tgz
NetBSD 9.0sparc64ruby27-kgio-2.11.3.tgz
NetBSD 9.0sparc64ruby30-kgio-2.11.3.tgz
NetBSD 9.0sparc64ruby26-kgio-2.11.4.tgz
NetBSD 9.0sparc64ruby27-kgio-2.11.4.tgz
NetBSD 9.0sparc64ruby30-kgio-2.11.4.tgz
NetBSD 9.0sparcruby25-kgio-2.11.3.tgz
NetBSD 9.0sparcruby25-kgio-2.11.3.tgz
NetBSD 9.0sparcruby25-kgio-2.11.3.tgz
NetBSD 9.0sparcruby30-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby26-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby27-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby30-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby26-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby27-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby30-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby25-kgio-2.11.3.tgz
NetBSD 9.0x86_64ruby26-kgio-2.11.3.tgz
NetBSD 9.0x86_64ruby27-kgio-2.11.3.tgz
NetBSD 9.0x86_64ruby30-kgio-2.11.3.tgz
NetBSD 9.0x86_64ruby26-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby27-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby30-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby26-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby27-kgio-2.11.4.tgz
NetBSD 9.0x86_64ruby30-kgio-2.11.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.